﻿using System.Collections.ObjectModel;
using System.IO;
using System.Text;
using ThinkGeo.MapSuite.Core;

namespace TestKmlMapSuiteCore
{
    class Program
    {
        static void Main(string[] args)
        {
            ShapeFileFeatureLayer austinRoadLayer = new ShapeFileFeatureLayer(@"..\..\Data\Austinstreets.shp");
            austinRoadLayer.ZoomLevelSet.ZoomLevel01.DefaultLineStyle = LineStyles.Highway1;
            austinRoadLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;

            KmlMapEngine mapEngine = new KmlMapEngine();
            mapEngine.StaticLayers.Add(austinRoadLayer);

            mapEngine.OpenAllLayers();
            mapEngine.CurrentExtent = austinRoadLayer.GetBoundingBox();

            StringBuilder kmlBuilder = new StringBuilder();
            mapEngine.DrawStaticLayers(kmlBuilder, GeographyUnit.DecimalDegree);
            mapEngine.CloseAllLayers();

            string result = kmlBuilder.ToString();
            StreamWriter sw = new StreamWriter(@"C:\ByText.kml");
            sw.Write(result);
            sw.Close();
        }
    }
}
